/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ml.vision.autoface.detection.objects;

import com.ml.vision.autoface.detection.AgeDetection;
import com.ml.vision.autoface.detection.EmotionDetection;
import com.ml.vision.autoface.detection.FaceDetection;
import com.ml.vision.autoface.detection.GenderDetection;
import java.util.List;
import java.util.Map;
import org.bytedeco.javacpp.opencv_core;
import org.bytedeco.javacpp.opencv_dnn;

/**
 *
 * @author apple
 */
public class Yolov3 {
    opencv_dnn.Net net = null;
    java.util.List<String> lstClassName;
    CentroidTracker tracker;
    java.util.Map<String,Integer> increasedCount = new java.util.TreeMap<>();
    java.util.Map<String,Integer> lastCount = new java.util.TreeMap<>();
    java.util.List<String[]> lstDemographic;
    int maxDisappeared = 5;
    int maxDistance = 50;
    boolean demographic;
    boolean count;
    boolean rectangleObject = true;
    FaceDetection detection;
    GenderDetection genderDetector;
    AgeDetection ageDetector;
    EmotionDetection emotionDetector;
    
        
    public void detect( opencv_core.Mat frame ){}
    
    public void checkInreasement( ){};
    
    public boolean demograph( opencv_core.Mat frame, opencv_core.Rect rect, FaceDetection detection ){ return false; }
    
    public List<String> getLstClassName() {
        return lstClassName;
    }

    public void setLstClassName(List<String> lstClassName) {
        this.lstClassName = lstClassName;
    }

    public List<String[]> getDemographic() {
        return lstDemographic;
    }
    
    
    public java.util.Map<String,Integer> getCount( ){
        if( tracker != null )
            return tracker.getMapCount();
        else 
            return null;
    }

    public Map<String, Integer> getIncreasedCount( ) {
        return increasedCount;
    }

    public boolean isDemographic() {
        return demographic;
    }

    public void setDemographic(boolean demographic) {
        this.demographic = demographic;
    }

    public boolean isCount() {
        return count;
    }

    public void setCount(boolean count) {
        this.count = count;
    }

    public boolean isRectangleObject() {
        return rectangleObject;
    }

    public void setRectangleObject(boolean rectangleObject) {
        this.rectangleObject = rectangleObject;
    }
    
}
