/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ml.vision.autoface.detection.objects;

import org.bytedeco.javacpp.opencv_dnn;
import static org.bytedeco.javacpp.opencv_dnn.readNetFromDarknet;

/**
 *
 * @author apple
 */
public class Yolov3DarkNetNetwork {
    private opencv_dnn.Net net = null;    
    private static final String proto = "model/yolov3.cfg";
    private static final String weights = "model/yolov3.weights";
    
    public Yolov3DarkNetNetwork(){
        net = readNetFromDarknet( proto, weights );
    }

    public opencv_dnn.Net getNet() {
        return net;
    }
    
}
