/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ml.vision.autoface.listener;

import com.ml.vision.autoface.camera.CameraAdvanced;
import java.awt.image.BufferedImage;
import java.util.List;
import java.util.Map;
import org.bytedeco.javacpp.opencv_core;

/**
 *
 * @author apple
 */
public interface FaceListener {
    public void onDetectedFaces( java.util.List<opencv_core.Mat> faces, CameraAdvanced camera, int index );
    public void onCapture(CameraAdvanced camera, opencv_core.Mat image, int index );
    public void onCapture(CameraAdvanced camera, BufferedImage image, int index );
    public void onDemographic(List<String[]> demographic, Map<String, Integer> increasedCount, CameraAdvanced camera);
    public void onFailed( CameraAdvanced camera, int index );
}
