/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ml.vision.autoface.server;



import java.util.Properties;

/**
 *
 * @author apple
 */
public class NetworkSettings {
    
    public static final String TIME_OUT = "timeout";
    public static final String HOST_NAME = "hostname";
    public static final String PORT = "port";
    public static final String MAX_WORKER = "maxWorkers";
    
    private static java.util.Properties pro = new java.util.Properties();
    private static final String proName = "netsets.properties";
  
    public static Properties getPro() {
        return pro;
    }

    public static java.util.Properties load(){
        try{
            java.io.File file = new java.io.File(proName);
            if(!file.exists()) {
                pro.put(TIME_OUT, "180");
                pro.put(HOST_NAME, "localhost");
                pro.put(PORT, "9000");
                pro.put(MAX_WORKER, "150");
                save();
                return pro;
            }

            java.io.InputStream in = new java.io.FileInputStream(file);
            pro.load(in);
            in.close();
        }catch(Exception ex){}
        return pro;
    }

    public static boolean save(){
        boolean ok=false;
        try{
            java.io.File file = new java.io.File( proName );
            if(!file.exists()) {
                file.createNewFile();
            }
            
            java.io.OutputStream out = new java.io.FileOutputStream(file);
            pro.save(out, "Network Settings");
            out.close();
            ok = true;

        }catch(Exception ex){System.out.println(ex.toString());}
        return ok;
    }
    
}
