/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ml.vision.communitycenter.test;

import org.bytedeco.javacpp.BytePointer;
import org.bytedeco.javacpp.tesseract.TessBaseAPI;
import static org.bytedeco.javacpp.lept.*;
import org.bytedeco.javacpp.tesseract.StringGenericVector;
/**
 *
 * @author apple
 */
public class BasicTesseractExample {
    public static void main(String args[] ){
        try{
            BytePointer outText;
            TessBaseAPI api = new TessBaseAPI();
            
            // Initialize tesseract-ocr with English, without specifying tessdata path
        if (api.Init( "tessdata", "eng-best") != 0) {
            System.err.println("Could not initialize tesseract.");
            System.exit( 1 );
        }
        
//        StringGenericVector languages = new StringGenericVector();
//        api.GetAvailableLanguagesAsVector(languages);
//
//        while (!languages.empty()) {
//            System.out.println(languages.pop_back().string().getString());
//        }
                
        // Open input image with leptonica library
        PIX image = pixRead("tessdata/File_001.png");
        api.SetImage(image);
        // Get OCR result
        outText = api.GetUTF8Text( );
        String string = outText.getString( );
        System.out.println(string);
        // Destroy used object and release memory
        api.End( );
        outText.deallocate();
        pixDestroy(image);
        
        }catch(Exception ex){ex.printStackTrace();}
    }
}
