/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ml.vision.autoface.detection.objects;



import org.bytedeco.javacpp.opencv_core;

/**
 *
 * @author apple
 */
public class TrackableObject implements java.io.Serializable {
    private long objectID;
    private float centroid;
    private opencv_core.Rect rect;
    private boolean counted;
    private int disappeared;
    private String className;
    private boolean demographDone = false;
    private boolean newObject = true;

    public TrackableObject(long objectID, float centroid) {
        this.objectID = objectID;
        this.centroid = centroid;
    }

    public TrackableObject(long objectID, float centroid, boolean counted) {
        this.objectID = objectID;
        this.centroid = centroid;
        this.counted = counted;
    }

    public TrackableObject(long objectID, float centroid, opencv_core.Rect rect, boolean counted) {
        this.objectID = objectID;
        this.centroid = centroid;
        this.rect = rect;
        this.counted = counted;
    }

    public long getObjectID() {
        return objectID;
    }

    public void setObjectID(long objectID) {
        this.objectID = objectID;
    }

    public float getCentroid() {
        return centroid;
    }

    public void setCentroid(float centroid) {
        this.centroid = centroid;
    }

    public boolean isCounted() {
        return counted;
    }

    public void setCounted(boolean counted) {
        this.counted = counted;
    }

    public int getDisappeared() {
        return disappeared;
    }

    public void setDisappeared(int disappeared) {
        this.disappeared = disappeared;
    }

    public opencv_core.Rect getRect() {
        return rect;
    }

    public void setRect(opencv_core.Rect rect) {
        this.rect = rect;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public boolean isDemographDone() {
        return demographDone;
    }

    public void setDemographDone( boolean demographDone ) {
        this.demographDone = demographDone;
    }

    public boolean isNewObject( ) {
        return newObject;
    }

    public void setNewObject( boolean newObject ) {
        this.newObject = newObject;
    }
    
}
