/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ml.vision.autoface.util;

import java.awt.Graphics2D;
import java.awt.Image;
import java.awt.image.BufferedImage;

/**
 *
 * @author apple
 */
public class ScaleFit {
        
    public static BufferedImage scaleFit( BufferedImage image, int height ){
        double rescalepercent = (height * 100) / image.getHeight();
        double newHeight = (rescalepercent / 100) * image.getHeight();
        double newWidth = (rescalepercent / 100) * image.getWidth();
        return scaleFit( image, (int)newWidth, (int)newHeight );
    }
    
    public static BufferedImage scaleFit( BufferedImage image, int width, int height ){
        BufferedImage scaleImage = null;       
       Image tmpscaleImage = image.getScaledInstance( width, height, Image.SCALE_DEFAULT);
       scaleImage = new BufferedImage( width, height, BufferedImage.TYPE_INT_ARGB);
    // Draw the image on to the buffered image
        Graphics2D bGr = scaleImage.createGraphics();
        bGr.drawImage( tmpscaleImage, 0, 0, null);
        bGr.dispose();
        return scaleImage;
    }
    
}
